//	Layer.cpp - The classes used to handle the different visual layers.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Layer.h"

//------------------------------------------------------------------------------
Layer::Layer()
{

}

//------------------------------------------------------------------------------
Layer::~Layer()
{

}

//------------------------------------------------------------------------------
void Layer::draw(shared_ptr<Drawer>& d, float xOffset)
{
	unsigned int i;

	for(i=0;i<entities.size();++i)
		entities[i]->draw(d, xOffset);
}

//------------------------------------------------------------------------------
void Layer::addEntity(shared_ptr<LayerEntity> entity)
{
	entities.push_back(entity);
}

//------------------------------------------------------------------------------
void Layer::removeEntity(shared_ptr<LayerEntity> entity)
{
	unsigned int i;

	for(i=0;i<entities.size();++i)
	{
		if(entities[i] == entity)
		{
			entities.erase(entities.begin()+i);
			break;
		}
	}
}
