//	OctopusHead.cpp - The Octopus head.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "drawing/Drawer.h"
#include "OctopusHead.h"

//------------------------------------------------------------------------------
OctopusHead::OctopusHead(float pos):
position(pos, 256.0f)
{

}

//------------------------------------------------------------------------------
OctopusHead::~OctopusHead()
{

}

//------------------------------------------------------------------------------
void OctopusHead::draw(shared_ptr<Drawer>& d, float xOffset)
{
	TwoFloats tempPos(position);

	if(((position.x+320.0f) > xOffset) &&
	   (position.x < (xOffset+d->getDrawingAreaSize().x)))
	{
		tempPos.x -= xOffset;

		d->drawImage(L"OctopusHead", tempPos);
	}
}
