//	PoseidonChinEntity.cpp - Poseidon's head.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "PoseidonChinEntity.h"
#include "drawing/Drawer.h"

//------------------------------------------------------------------------------
PoseidonChinEntity::PoseidonChinEntity(float pos):
position(pos-131.0f, -128.0f+394.0f),
startPos(position),
tweener(position, TwoFloats(position.x-500.0f, position.y+500.0f), 0.002f)
{
	tweener.setDelay(0.5f);
	tweener.reset(TwoFloats(position.x-500.0f, position.y+500.0f));
}

//------------------------------------------------------------------------------
PoseidonChinEntity::~PoseidonChinEntity()
{

}

//------------------------------------------------------------------------------
void PoseidonChinEntity::draw(shared_ptr<Drawer>& d, float xOffset)
{
	TwoFloats tempPos(position);

	if(position.x < (xOffset + d->getDrawingAreaSize().x))
	{
		if(!tweener.getFinished())
		{
			tweener.tick(1.0f);
			if(tweener.getFinished() && (position != startPos))
			{
				tweener.setDelay(0.0f);
				tweener.reset(startPos);
			}
		}

		tempPos.x -= xOffset;

		d->drawImage(L"PoseidonChin", tempPos);
	}
}
