//	PoseidonHeadEntity.cpp - Poseidon's head.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "PoseidonHeadEntity.h"
#include "drawing/Drawer.h"

//------------------------------------------------------------------------------
PoseidonHeadEntity::PoseidonHeadEntity(float pos):
position(pos, -128.0f)
{

}

//------------------------------------------------------------------------------
PoseidonHeadEntity::~PoseidonHeadEntity()
{

}

//------------------------------------------------------------------------------
void PoseidonHeadEntity::draw(shared_ptr<Drawer>& d, float xOffset)
{
	TwoFloats tempPos(position);

	if(position.x < (xOffset + d->getDrawingAreaSize().x))
	{
		tempPos.x -= xOffset;

		d->drawImage(L"PoseidonHead", tempPos);
	}
}
