//	Scenery.cpp - Class representing a piece of scenery.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "drawing/Drawer.h"
#include "Scenery.h"

//------------------------------------------------------------------------------
Scenery::Scenery(const TwoFloats& pos, const std::wstring& im):
position(pos),
image(im)
{

}

//------------------------------------------------------------------------------
Scenery::~Scenery()
{

}

//------------------------------------------------------------------------------
void Scenery::draw(shared_ptr<Drawer>& d, float xOffset)
{
	TwoFloats tempPos(position);

	tempPos.x -= xOffset;
	if((tempPos.x > -246.0f) && (tempPos.x < d->getDrawingAreaSize().x))
		d->drawImage(image, tempPos);
}
