//	WhirlingAnimals.h - One of the laudanum effects.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef WHIRLINGANIMALS_H_
#define WHIRLINGANIMALS_H_

#include "c0xHeaders.h"

#include <string>

class Drawer;

///	One of the laudanum effects.
class WhirlingAnimals
{
  public:
	///	Constructor.
	WhirlingAnimals();
	///	Destructor.
	~WhirlingAnimals();

	///	Draws the animals.
	void draw(shared_ptr<Drawer>& d);
  private:
	///	Represents a single animal.
	struct Animal
	{
		///	The animal's image.
		std::wstring image;
		///	The animal's radius from the centre.
		float radius;
		///	The animal's position on the circle.
		float index;
		///	The animal's speed.
		float speed;
	};

	///	The number of animals we display.
	enum
	{
		NumAnimals = 384
	};

	///	The animals.
	Animal animals[NumAnimals];
};

#endif
