//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "Island.h"
#include "Waves.h"
#include "PoseidonHand.h"
#include "Journal.h"
#include "PoseidonHead.h"
#include "OctopusAtlas.h"
#include "MoonEnd.h"
#include "Title.h"
#include "HowToPlay.h"
#include "PoseidonAtlas.h"
#include "BikiniWhale.h"
#include "SkyAtlas.h"
#include "MainAtlas.h"
#include "ClotheslineMissile.h"
#include "BigAnimalAtlas.h"
#include "UnderseaAtlas.h"
#include "UnderseaSand.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerSingleImage(shared_ptr<SingleImage>(new Island()));
	registerSingleImage(shared_ptr<SingleImage>(new Waves()));
	registerSingleImage(shared_ptr<SingleImage>(new PoseidonHand()));
	registerSingleImage(shared_ptr<SingleImage>(new Journal()));
	registerSingleImage(shared_ptr<SingleImage>(new PoseidonHead()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new OctopusAtlas()));
	registerSingleImage(shared_ptr<SingleImage>(new MoonEnd()));
	registerSingleImage(shared_ptr<SingleImage>(new Title()));
	registerSingleImage(shared_ptr<SingleImage>(new HowToPlay()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"LaudanumDrone.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Music.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"SFXDrink.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"SFXLaudanum.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"SFXLoseHeart.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"SFXPunch.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"SFXWriting.ogg"));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new PoseidonAtlas()));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"Janitor.ttf"), 28, L"JournalFont0")));
	registerSingleImage(shared_ptr<SingleImage>(new BikiniWhale()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new SkyAtlas()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
	registerSingleImage(shared_ptr<SingleImage>(new ClotheslineMissile()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new BigAnimalAtlas()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new UnderseaAtlas()));
	registerSingleImage(shared_ptr<SingleImage>(new UnderseaSand()));
}
